cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
		
		animation: {
			default: null,
            type: cc.Animation
		},
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
		this.animation.on("lastframe", this._onAnimationLastFrame, this);
    },

    // called every frame
    update: function (dt) {

    },
	
	_onAnimationLastFrame : function() {
        cc.log("Did pass by _onAnimationLastFrame");
    }
});
